<?php
  // utworzenie krótkich nazw zmiennych
  $iloscopon = (int)$_POST['iloscopon'];
  $iloscoleju = (int)$_POST['iloscoleju'];
  $iloscswiec = (int)$_POST['iloscswiec'];
  $adres = preg_replace('/\t|\R/',' ',$_POST['adres']);
  $document_root = $_SERVER['DOCUMENT_ROOT'];
  $data=date('H:i, jS F Y');
?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8" />
  <title>Części samochodowe Janka — wyniki zamówienia</title>
</head>
<body>
<h1>Części samochodowe Janka</h1>
<h2>Wyniki zamówienia</h2>
<?php

  echo "<p>Zamówienie przyjęte o ".$data."</p>";

  echo "<p>Zamówienie Państwa wygląda następująco: </p>";

  $ilosc = 0;
  $wartosc=0.00;

  define('CENAOPON', 100);
  define('CENAOLEJU', 10);
  define('CENASWIEC', 4);

  $ilosc = $iloscopon + $iloscoleju + $iloscswiec;
  echo "<p>Zamówionych części: ".$ilosc."<br />";

  if($ilosc == 0) {
    echo "Na poprzedniej stronie nie zostało złożone żadne zamówienie!<br />";
  } else {

    if ($iloscopon > 0) {
      echo htmlspecialchars($iloscopon).' opon<br />';
    }

    if ($iloscoleju > 0) {
      echo htmlspecialchars($iloscoleju).' butelek oleju<br />';
    }

    if ($iloscswiec > 0) {
      echo htmlspecialchars($iloscswiec).' świec zapłonowych<br />';
    }
  }

  $wartosc = $iloscopon * CENAOPON 
           + $iloscoleju * CENAOLEJU 
           + $iloscswiec * CENASWIEC;

  echo "Wartość  netto zamówienia: ". number_format($wartosc, 2, '.', ' ') ."zł<br />";

  $stawkapodatku = 0.10; // stawka podatku wynosi 10%
  $wartos = $wartosc * (1 + $stawkapodatku);
  echo "Wartość brutto zamówienia wynosi ".number_format($wartosc,2,'.', ' ')."</p>";

  echo "<p>Adres wysyłki to ".htmlspecialchars($adres). "</p>";

  $ciagwyjsciowy = $data."\t".$iloscopon." opon \t".$iloscoleju." butelek oleju\t"
                   .$iloscswiec." świec zapłonowych\t".$wartosc
                   ."PLN\t". $adres."\n";

  // otwarcie pliku w celu dopisywania
  @ $wp = fopen("$document_root/../zamowienia/zamowienia.txt", 'ab');

  if (!$wp) {
    echo "<p><strong> Państwa zamówienie nie może zostać przyjęte w tej chwili.
         Proszę spróbować później.</strong></p></body></html>";
    exit;
  }

  flock($wp, LOCK_EX);

  fwrite($wp, $ciagwyjsciowy, strlen($ciagwyjsciowy));
  flock($wp, LOCK_UN);
  fclose($wp);

  echo "<p>Zamówienie zapisane.</p>";
?>
</body>
</html>
